
  <!DOCTYPE html>
  <html>
    <head>
      <title>index.tsx</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/routes/index.tsx</td><td class="">100.00%</td><td class="">80%</td><td class="">99</td><td class="">99</td><td class="">0</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import { BrowserRouter, Switch, Route, RouteProps } from &#x27;react-router-dom&#x27;;
import { WelcomePage } from &#x27;../pages/welcome&#x27;;
import { Paths } from &#x27;./paths&#x27;;
import { LoginPage } from &#x27;../pages/login&#x27;;
import { ProjectsPage } from &#x27;../pages/projects&#x27;;
import { ProjectSettingsPage } from &#x27;../pages/project-settings&#x27;;
import { ModelConfiguringPage } from &#x27;../pages/model-configuring&#x27;;
import { FittingPage } from &#x27;../pages/fitting&#x27;;
import { SimulationPage } from &#x27;../pages/simulation&#x27;;
import { AdditionalConfigurationPage } from &#x27;../pages/additional-confirugation&#x27;;

const pages: {
  component: RouteProps[&#x27;component&#x27;];
  path: string;
}[] = [
  {
    component: WelcomePage,
    path: Paths.WELCOME
  },
  {
    component: LoginPage,
    path: Paths.LOGIN
  },
  {
    component: ProjectsPage,
    path: Paths.PROJECTS
  },
  {
    component: ProjectSettingsPage,
    path: Paths.CLONE_SELECTION_PROJECT_SETTINGS_EDIT
  },
  {
    component: ProjectSettingsPage,
    path: Paths.CLONE_SELECTION_PROJECT_SETTINGS
  },
  {
    component: ProjectSettingsPage,
    path: Paths.DIGITAL_TWIN_PROJECT_SETTINGS_EDIT
  },
  {
    component: ProjectSettingsPage,
    path: Paths.DIGITAL_TWIN_PROJECT_SETTINGS
  },
  {
    component: ModelConfiguringPage,
    path: Paths.CLONE_SELECTION_MODEL_CONFIGURATION
  },
  {
    component: ModelConfiguringPage,
    path: Paths.DIGITAL_TWIN_MODEL_CONFIGURATION
  },
  {
    component: FittingPage,
    path: Paths.CLONE_SELECTION_FITTING
  },
  {
    component: SimulationPage,
    path: Paths.CLONE_SELECTION_SIMULATION
  },
  {
    component: AdditionalConfigurationPage,
    path: Paths.DIGITAL_TWIN_ADDITIONAL_CONFIGURATION
  }
];

export const Pages = () =&gt; {
  return (
    &lt;BrowserRouter&gt;
      &lt;Switch&gt;
        {pages.map((page) =&gt; (
          &lt;Route
            exact={true}
            key={page.path}
            path={page.path}
            component={page.component}
          /&gt;
        ))}
        &lt;Route component={LoginPage} /&gt;
      &lt;/Switch&gt;
    &lt;/BrowserRouter&gt;
  );
};
</textarea><pre id="annotations" style="display:none">[]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  